/**
 * @class kNetwork
 * @brief Can be used with the NetRecv and NetSend functions
 */
class kNetwork
{
public:

	/**
	 * @brief Return true if you are in an online game
	 */
	bool IsNetgame();
	
	/**
	 * @brief Return the actor whose kActor::NetID matches \a netID. Returns null if no actor found.
	 */
	kActor@ GetNetActor(int16 netID);
	
	/**
	 * @brief Return the particle whose kParticle::NetID matches \a netID. Returns null if no particle found.
	 */
	kParticle@ GetNetParticle(int16 netID);
	
	/**
	 * @brief Returns true if you are the server/host
	 */
	bool IsServer();
	
	/**
	 * @brief Returns true if you are a client
	 */
	bool IsClient();
	
	/**
	* @brief Sends all data written using NetSend write commands from the server to clients and as such should only be called by the server and after calling NetSend writes.
	*/
	void TransmitToAll();

};
